#!/bin/bash
#设置初始参数,最好全部用引号包含,避免出现特殊字符串导致的断片
:<<!
-XX:+UseG1GC  使用G1收集器开关
-XX:+PrintGCTimeStamps  打印时间戳
-XX:+PrintGCDetails 打印详细内容
-XX:+HeapDumpOnOutOfMemoryError 出现OOM时dump
-XX:HeapDumpPath OOM时dump出来的文件存放地
-Xloggc:../logs/gc.log gc日志存放
!
#脚本只要发生错误，就终止执行

#在运行结果之前，先输出执行的那一行命令

export JVM_GC_OPTS=" -XX:+UseG1GC -XX:+PrintGCTimeStamps -XX:+PrintGCDetails -XX:+HeapDumpOnOutOfMemoryError  -XX:HeapDumpPath=../ -Xloggc:../logs/gc.log"